import * as _nuxt_schema from '@nuxt/schema';

interface Pixel {
    id: string;
    noscript?: boolean;
    autoconfig?: boolean;
}
interface ModuleOptions {
    pixels: Pixel[];
}
declare module 'nuxt/schema' {
    interface PublicRuntimeConfig {
        metaPixel: ModuleOptions;
    }
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { type ModuleOptions, type Pixel, _default as default };
